module.exports.sendOK = (responseData) => {
    
    return {
        "message": "Successfully",
        "responseData": responseData,
        "status": "success",
        "timeStamp": new Date().toISOString().replace(/T/, ' ').replace(/\..+/, '')
    }
}

module.exports.sendError = (violations) => {
    return {
        "message": "Something wrong",
        "status": "fail",
        "timeStamp": new Date().toISOString().replace(/T/, ' ').replace(/\..+/, ''),
        "violations": violations
    }
}